PUT api/sms/update-message-subscription
Request Information
URI Parameters
None.
Body Parameters
UpdateMessageSubscriptionRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageSubscriptionId | globally unique identifier |
None. |
|
| UserId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
|
| NewUserPhoneNumber | string |
None. |
|
| NewPhoneNumberFrom | string |
None. |
|
| NewWebhookUrl | string |
None. |
|
| NewIsAutoUnsubscribe | boolean |
None. |
|
| NewIsActive | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"messageSubscriptionId": "f9634aaf-1dfb-4bbc-ade6-1689d6a51f0c",
"userId": "1c41f846-583d-4815-be56-1b523aad272d",
"agencyId": "98491aa3-730a-47b7-9c94-8eff9ac176ad",
"newUserPhoneNumber": "sample string 4",
"newPhoneNumberFrom": "sample string 5",
"newWebhookUrl": "sample string 6",
"newIsAutoUnsubscribe": true,
"newIsActive": true
}
application/xml, text/xml
Sample:
<UpdateMessageSubscriptionRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData.SMS"> <AgencyId>98491aa3-730a-47b7-9c94-8eff9ac176ad</AgencyId> <MessageSubscriptionId>f9634aaf-1dfb-4bbc-ade6-1689d6a51f0c</MessageSubscriptionId> <NewIsActive>true</NewIsActive> <NewIsAutoUnsubscribe>true</NewIsAutoUnsubscribe> <NewPhoneNumberFrom>sample string 5</NewPhoneNumberFrom> <NewUserPhoneNumber>sample string 4</NewUserPhoneNumber> <NewWebhookUrl>sample string 6</NewWebhookUrl> <UserId>1c41f846-583d-4815-be56-1b523aad272d</UserId> </UpdateMessageSubscriptionRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "1a2f6952-91fc-4336-b7b0-9113feb0d4bf",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>1a2f6952-91fc-4336-b7b0-9113feb0d4bf</DatabaseId> </NowCertsApiResultWithDatabaseId>